## cudf 0.5.99

=== debian/changelog ===
cudf (0.5.99-2) unstable; urgency=low

  [ Ralf Treinen ]
  * Add debian/watch.
  * Switched to debian source version "3.0 (quilt)" (no change apart from
    adding debian/source)
  * Put maintainer=debian-ocaml-maintainers, Zack and me as uploaders,
    with the previous maintainer's blessing.

  [ Stefano Zacchiroli ]
  * uploading to unstable
  * debian/control: bump Standards-Version to 3.9.2 (no changes needed)
  * debian/patches/
    - add patch link-caml_hash_variant-with-ldl.patch to avoid link
      failure with recent binutils (and on non-Linux systems). Thanks
      Cyril Brulebois for the patch! (Closes: #602489)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 06 May 2011 21:21:03 +0200

cudf (0.5.99-1) experimental; urgency=low

  * New upstream release
  * debian/*.ocamldoc: pass -package extlib, as extlib types are now used
    in libcudf interface
  * move packaging (i.e. debian/ dir) to git.d.o
  * debian/control
    - update Vcs-* fields to reflect new packaging location
    - bump Standards-Version to 3.9.1 (no changes needed)
  * debian/gbp.conf: add configuration file for git-buildpackage

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 04 Nov 2010 16:59:35 +0100

cudf (0.5.98-1) experimental; urgency=low

  * New upstream release
  * First upload to the Debian archive
  * debian/control
    - add missing build-dep on camlp4
    - bump Standards-Version (no changes needed)
  * debian/cudf-check.1: provide sensible whatis information
  * debian/copyright: bump copyright year to include 2010

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 25 Jun 2010 16:51:27 +0200

cudf (0.5.97-1) mancoosi; urgency=low

  * New upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 03 Jun 2010 16:42:23 +0200

cudf (0.5.96-1) mancoosi; urgency=low

  * New upstream release
  * debian/control: update Vcs-* fields to reflect upstream SVN change

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 01 Jun 2010 15:56:54 +0200

cudf (0.5.94-1) mancoosi; urgency=low

  * New upstream release
  * Use upstream make to install C bindings
  * debian/control: point Homepage to CUDF homepage

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 18 Dec 2009 11:37:40 +0100

cudf (0.5.92-1) mancoosi; urgency=low

  * New upstream release
  * Port packaging to recent dh-ocaml (w/ ABI-based dependencies)
  * debian/control:
    - bump Standards-Version to 3.8.3 (no changes needed)
    - drop deps on libpcre-ocaml{,-dev} (no longer needed)
  * Enable generation of ocamldoc HTML API reference

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 21 Nov 2009 19:38:54 +0100

cudf (0.4-1) mancoosi; urgency=low

  * First public release.

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 17 Apr 2009 12:00:51 +0200
