=== debian/control ===
Source: cudf
Section: devel
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stefano Zacchiroli <zack@debian.org>,
 Ralf Treinen <treinen@debian.org>
Build-Depends:
 debhelper (>= 7),
 cdbs,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 ocaml-findlib,
 libextlib-ocaml-dev,
 libounit-ocaml-dev,
 libglib2.0-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cudf.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cudf.git
Homepage: http://www.mancoosi.org/cudf/

Package: libcudf-ocaml-dev
Architecture: any
Section: ocaml
Depends:
 ocaml-findlib,
 libextlib-ocaml-dev,
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml library to access descriptions of package upgrade problems
 libCUDF is a library to manipulate so called CUDF documents. A CUDF
 document describe an upgrade problem, as faced by package managers in
 popular package-based GNU/Linux distributions.
 .
 A CUDF document consists of a package universe and of a user request.
 The package universe describes all packages known to the package
 manager, a subset of which (the package status) denotes the package
 being currently installed on the target machine.  The user request
 denotes a change to the package status as requested by the user.
 .
 A CUDF document is naturally complemented by a solution describing
 the resulting package status (if any) implementing the user request,
 as found by a package manager.
 .
 libCUDF enables manipulation of CUDF and related documents.
 .
 This package contains all the development stuff you need to use
 libCUDF in your OCaml programs.

Package: libcudf-dev
Architecture: any
Section: libdevel
Depends:
 libc6-dev,
 libglib2.0-dev,
 libncurses5-dev,
 ${shlibs:Depends},
 ${misc:Depends}
Description: C library to access descriptions of package upgrade problems
 libCUDF is a library to manipulate so called CUDF documents. A CUDF
 document describe an upgrade problem, as faced by package managers in
 popular package-based GNU/Linux distributions.
 .
 A CUDF document consists of a package universe and of a user request.
 The package universe describes all packages known to the package
 manager, a subset of which (the package status) denotes the package
 being currently installed on the target machine.  The user request
 denotes a change to the package status as requested by the user.
 .
 A CUDF document is naturally complemented by a solution describing
 the resulting package status (if any) implementing the user request,
 as found by a package manager.
 .
 libCUDF enables manipulation of CUDF and related documents.
 .
 This package contains a C static library binding the OCaml
 implementation of libCUDF so that it can be used from the C
 programming language.

Package: cudf-tools
Architecture: any
Section: devel
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: command line tools for package upgrade problem descriptions
 A CUDF document describe an upgrade problem, as faced by package
 managers in popular package-based GNU/Linux distributions.
 .
 A CUDF document consists of a package universe and of a user request.
 The package universe describes all packages known to the package
 manager, a subset of which (the package status) denotes the package
 being currently installed on the target machine.  The user request
 denotes a change to the package status as requested by the user.
 .
 A CUDF document is naturally complemented by a solution describing
 the resulting package status (if any) implementing the user request,
 as found by a package manager.
 .
 This package contains command line tools to manipulate CUDF and
 related documents. In particular it contains cudf-check, which
 enables checking of document properties such as installation
 consistency and matching of problems with their solutions.
