=== debian/watch ===
version=3
http://gforge.info.ucl.ac.be/frs/?group_id=35 .*/cudf-(.*)\.tar\.gz
