## cudf 0.6

=== debian/changelog ===
cudf (0.6-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:34:29 -0600

cudf (0.6-1) unstable; urgency=low

  * New upstream release; highlights:
    - speed improvements in the pretty printing engine and in cudf-check
    - fixes in the pretty printing engine
  * debian/patches/
    - drop link-caml_hash_variant-with-ldl.patch (integrated upstream)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 01 Jun 2011 09:55:06 +0200
