## cudf 0.6.1

=== debian/changelog ===
cudf (0.6.1-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 12:00:56 +0000

cudf (0.6.1-1build1) precise; urgency=low

  * Rebuild for new libextlib-ocaml-dev ABI.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Oct 2011 11:38:03 +0100

cudf (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 15 Sep 2011 14:35:57 +0200
