## cudf 0.6.2

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,6 @@
 
 DIST_DIR = $(NAME)-$(VERSION)
 DIST_TARBALL = $(DIST_DIR).tar.gz
-DEB_TARBALL = $(subst -,_,$(DIST_DIR).orig.tar.gz)
 
 all: $(RESULTS)
 opt: $(RESULTS_OPT)
@@ -43,8 +42,7 @@
 clean:
 	make -C $(C_LIB_DIR) clean
 	$(OCAMLBUILD) $(OBFLAGS) -clean
-	rm -rf *.dsc *.deb *.changes *.orig.tar.gz *.upload \
-		$(NAME)-*.gz $(NAME)_*.gz $(NAME)-*/
+	rm -rf $(NAME)-*.gz $(NAME)_*.gz $(NAME)-*/
 
 _build/%:
 	$(OCAMLBUILD) $(OBFLAGS) $*
@@ -103,21 +101,9 @@
 
 dist: ./$(DIST_TARBALL)
 ./$(DIST_TARBALL):
-	if [ -d ./$(DIST_DIR)/ ] ; then rm -rf ./$(DIST_DIR)/ ; fi
-	if [ -d ./$(DIST_TARBALL) ] ; then rm -f ./$(DIST_TARBALL) ; fi
-	svn export . ./$(DIST_DIR)
-	rm -rf ./$(DIST_DIR)/debian
-	tar cvzf ./$(DIST_TARBALL) ./$(DIST_DIR)
-	rm -rf ./$(DIST_DIR)
+	git archive --format=tar --prefix=$(DIST_DIR)/ HEAD | gzip > $@
 	@echo "Distribution tarball: ./$(DIST_TARBALL)"
 
-./$(DEB_TARBALL): ./$(DIST_TARBALL)
-	cp $< $@
-deb: ./$(DEB_TARBALL)
-	rm -rf ./$(DIST_DIR)
-	tar xvzf $<
-	svn export debian/ $(DIST_DIR)/debian
-	cd $(DIST_DIR) && dpkg-buildpackage -rfakeroot
 rpm: ./$(DIST_TARBALL)
 	rpmbuild --nodeps -ta $<
