=== debian/changelog ===
cudf (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 15 Sep 2011 14:35:57 +0200
