## cudf 0.6.3

=== Makefile ===
--- 
+++ 
@@ -57,6 +57,7 @@
 
 test: _build/test.byte
 	$< -verbose
+	@echo
 c-lib-test:
 	make -C $(C_LIB_DIR) test
 _build/test.byte: $(SOURCES)
