=== debian/changelog ===
cudf (0.6.3-2build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:26:58 +0000

cudf (0.6.3-2) unstable; urgency=low

  * update debian/watch (on INRIA forge now)
  * standards-version 3.9.4 (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 10 May 2013 18:31:39 +0200

cudf (0.6.3-1) experimental; urgency=low

  * New upstream release
  * debian/control: bump Standards-Version to 3.9.1 (no changes needed)
  * debian/copyright: port syntax to machine-readable debian/copyright
    specification, version 1.0

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 03 Aug 2012 12:54:43 +0200
