=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libextlib-ocaml-dev,
  libounit-ocaml-dev,
  libglib2.0-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cudf.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cudf.git
 Homepage: http://www.mancoosi.org/cudf/
