## cudf 0.7

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,9 @@
 PROGS = _build/main_cudf_check _build/main_cudf_parse_822
 PROGS_BYTE = $(addsuffix .byte,$(PROGS))
 PROGS_OPT = $(addsuffix .native,$(PROGS))
-RESULTS = $(LIBS) $(PROGS_BYTE) _build/cudf_c.cmo
-RESULTS_OPT = $(LIBS_OPT) $(PROGS_OPT) _build/cudf_c.cmx
+DOC = doc/cudf-check.1
+RESULTS = $(DOC) $(LIBS) $(PROGS_BYTE) _build/cudf_c.cmo
+RESULTS_OPT = $(DOC) $(LIBS_OPT) $(PROGS_OPT) _build/cudf_c.cmx
 SOURCES = $(wildcard *.ml *.mli *.mll *.mly)
 C_LIB_DIR = c-lib
 C_LIB_SOURCES = $(wildcard $(C_LIB_DIR)/*.c $(C_LIB_DIR)/*.h)
@@ -33,7 +34,10 @@
 $(RESULTS): $(SOURCES)
 $(RESULTS_OPT): $(SOURCES)
 
-.PHONY: c-lib c-lib-opt
+doc/cudf-check.1: doc/cudf-check.pod
+	$(MAKE) -C doc/
+
+.PHONY: c-lib c-lib-opt doc
 c-lib:
 	make -C $(C_LIB_DIR) all
 c-lib-opt:
@@ -41,6 +45,7 @@
 
 clean:
 	make -C $(C_LIB_DIR) clean
+	make -C doc/ clean
 	$(OCAMLBUILD) $(OBFLAGS) -clean
 	rm -rf $(NAME)-*.gz $(NAME)_*.gz $(NAME)-*/
 
@@ -55,12 +60,13 @@
 headers: header.txt .headache.conf
 	headache -h header.txt -c .headache.conf $(SOURCES) $(C_LIB_SOURCES)
 
-test: _build/test.byte
-	$< -verbose
+test: test.byte
+	./$< -verbose
 	@echo
 c-lib-test:
 	make -C $(C_LIB_DIR) test
-_build/test.byte: $(SOURCES)
+test.byte: $(SOURCES)
+	ocamlbuild $@
 
 tags: TAGS
 TAGS: $(SOURCES)
