=== debian/changelog ===
cudf (0.7-5build3) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:21:42 +0000

cudf (0.7-5build2) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Aug 2019 18:47:05 +0200

cudf (0.7-5build1) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2019 08:21:54 +0200

cudf (0.7-5) unstable; urgency=medium

  * Put back build-dependency on camlp4

 -- Ralf Treinen <treinen@debian.org>  Sat, 27 Jul 2019 10:33:10 -0300

cudf (0.7-4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * debian/control: remove Build-Depends on camlp4, no longer needed
  * Update Vcs-* fields to salsa

  [ Ralf Treinen ]
  * Build-depend on debhelper-compat, remove file debian-compat.
  * Debhelper compatibility level 12 (no change)
  * Convert debian/rules to dh, drop build-dependency on cdbs.
  * debian/copyright: rename license
  * Standards-Version 4.4.0:
    - debian/copyright format header: use https
  * Add package tests cudf-check-universe and api-ocaml.

 -- Ralf Treinen <treinen@debian.org>  Fri, 26 Jul 2019 16:18:27 -0300

cudf (0.7-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Add ocamlbuild to Build-Depends

  [ Dimitri John Ledkov ]
  * Add ocaml-base-nox dependency to cudf-tools, otherwise results in
    aspcud autopkgtest failure when invoking cudf-check without interpret
    available.

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jul 2017 19:27:18 +0200

cudf (0.7-2) unstable; urgency=medium

  * upload to unstable

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 27 May 2014 10:15:18 +0200

cudf (0.7-1) experimental; urgency=medium

  * new upstream release
    - include new upstream cudf-check manpage with exit code information
      (Closes: #730529)
  * drop no longer needed Debian manpage from the package
  * add Build-Depends on perl (just in case), it is needed for pod2man
  * bump Standards-Version to 3.9.5 (no change)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 29 Apr 2014 14:55:42 -0400
