=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: cudf
 Section: devel
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stefano Zacchiroli <zack@debian.org>,
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper (>= 7),
- cdbs,
+ debhelper-compat (=12),
  dh-ocaml (>= 0.9),
  ocaml-nox,
  camlp4,
  ocaml-findlib,
+ ocamlbuild,
  libextlib-ocaml-dev,
  libounit-ocaml-dev,
- libglib2.0-dev
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cudf.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cudf.git
+ libglib2.0-dev,
+ perl
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/ocaml-team/cudf.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/cudf
 Homepage: http://www.mancoosi.org/cudf/
 
 Package: libcudf-ocaml-dev
@@ -82,6 +84,7 @@
 Architecture: any
 Section: devel
 Depends:
+ ocaml-base-nox,
  ${shlibs:Depends},
  ${misc:Depends}
 Description: command line tools for package upgrade problem descriptions
