## cudf 0.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,13 @@
 include Makefile.config
 
 NAME = cudf
+
+ifeq ("$(shell (ocamlc -config 2>/dev/null || ocamlopt -config) | fgrep os_type)","os_type: Win32")
+EXE=.exe
+OCAMLLIBDIR := $(shell cygpath $(OCAMLLIBDIR))
+else
+EXE=
+endif
 
 LIBS = _build/cudf.cma
 LIBS_OPT = _build/cudf.cmxa
@@ -22,8 +29,9 @@
 INSTALL = $(OCAMLFIND) install
 UNINSTALL = $(OCAMLFIND) remove
 else
-INSTALL = $(OCAMLFIND) install -destdir $(DESTDIR)/$(OCAMLLIBDIR)
-UNINSTALL = $(OCAMLFIND) remove -destdir $(DESTDIR)/$(OCAMLLIBDIR)
+DESTDIR:=$(DESTDIR)/
+INSTALL = $(OCAMLFIND) install -destdir $(DESTDIR)$(OCAMLLIBDIR)
+UNINSTALL = $(OCAMLFIND) remove -destdir $(DESTDIR)$(OCAMLLIBDIR)
 endif
 
 DIST_DIR = $(NAME)-$(VERSION)
@@ -79,17 +87,17 @@
 INSTALL_STUFF += $(wildcard _build/cudf.o _build/cudf.cmx _build/cudf.cmi)
 
 install:
-	test -d $(DESTDIR)/$(OCAMLLIBDIR) || mkdir -p $(DESTDIR)/$(OCAMLLIBDIR)
+	test -d $(DESTDIR)$(OCAMLLIBDIR) || mkdir -p $(DESTDIR)$(OCAMLLIBDIR)
 	$(INSTALL) -patch-version $(VERSION) $(NAME) $(INSTALL_STUFF)
-	test -d $(DESTDIR)/$(BINDIR) || mkdir -p $(DESTDIR)/$(BINDIR)
+	test -d $(DESTDIR)$(BINDIR) || mkdir -p $(DESTDIR)$(BINDIR)
 	for p in $(notdir $(PROGS)) ; do \
-		tgt=`echo $$p | sed -e 's/^main.//' -e 's/_/-/g'` ; \
+		tgt=`echo $$p | sed -e 's/^main.//' -e 's/_/-/g'`$(EXE) ; \
 		if [ -f _build/$$p.native ] ; then \
-			cp _build/$$p.native $(DESTDIR)/$(BINDIR)/$$tgt ; \
+			cp _build/$$p.native $(DESTDIR)$(BINDIR)/$$tgt ; \
 		else \
-			cp _build/$$p.byte $(DESTDIR)/$(BINDIR)/$$tgt ; \
+			cp _build/$$p.byte $(DESTDIR)$(BINDIR)/$$tgt ; \
 		fi ; \
-		echo "Installed $(DESTDIR)/$(BINDIR)/$$tgt" ; \
+		echo "Installed $(DESTDIR)$(BINDIR)/$$tgt" ; \
 	done
 	if [ -f $(C_LIB_DIR)/cudf.o ] ; then \
 		$(MAKE) -C c-lib/ -e install ; \
@@ -98,13 +106,13 @@
 uninstall:
 	$(UNINSTALL) $(NAME)
 	for p in $(notdir $(PROGS)) ; do \
-		tgt=`echo $$p | sed -e 's/^main.//' -e 's/_/-/g'` ; \
-		if [ -f $(DESTDIR)/$(BINDIR)/$$tgt ] ; then \
-			rm $(DESTDIR)/$(BINDIR)/$$tgt ; \
+		tgt=`echo $$p | sed -e 's/^main.//' -e 's/_/-/g'`$(EXE) ; \
+		if [ -f $(DESTDIR)$(BINDIR)/$$tgt ] ; then \
+			rm $(DESTDIR)$(BINDIR)/$$tgt ; \
 		fi ; \
-		echo "Removed $(DESTDIR)/$(BINDIR)/$$tgt" ; \
+		echo "Removed $(DESTDIR)$(BINDIR)/$$tgt" ; \
 	done
-	-rmdir -p $(DESTDIR)/$(OCAMLLIBDIR) $(DESTDIR)/$(BINDIR)
+	-rmdir -p $(DESTDIR)$(OCAMLLIBDIR) $(DESTDIR)$(BINDIR)
 
 dist: ./$(DIST_TARBALL)
 ./$(DIST_TARBALL):
@@ -130,3 +138,4 @@
 
 .PHONY: all opt world clean top-level headers test tags install uninstall
 .PHONY: dep rpm c-lib c-lib-opt dist doc
+.NOTPARALLEL:
