=== debian/changelog ===
cudf (0.9-2build3) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Feb 2022 16:15:39 +0100

cudf (0.9-2build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 11:16:51 +0100

cudf (0.9-2build1) jammy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Dec 2021 17:47:20 +0100

cudf (0.9-2) unstable; urgency=medium

  * debian/watch:
    - version 4
    - new git repository at gitlab
  * Standards-version 4.6.0 (no change)
  * Add debian/upstream/metadata
  * Removed build-depedency on camlp4 which, according to ChangeLog, is no
    longer needed.

 -- Ralf Treinen <treinen@debian.org>  Wed, 27 Oct 2021 20:50:51 +0200

cudf (0.9-1) unstable; urgency=medium

  * New upstream release.
  * Removed zack from Uploaders on his request
  * Debhelper compatibility level 13
  * Standards-Version 4.5.0 (no change)
  * Set Rules-Requires-Root=no

 -- Ralf Treinen <treinen@debian.org>  Fri, 09 Oct 2020 01:43:49 +0200
