=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: cudf
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Stefano Zacchiroli <zack@debian.org>,
- Ralf Treinen <treinen@debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper-compat (=12),
+ debhelper-compat (=13),
  dh-ocaml (>= 0.9),
  ocaml-nox,
- camlp4,
  ocaml-findlib,
  ocamlbuild,
  libextlib-ocaml-dev,
  libounit-ocaml-dev,
  libglib2.0-dev,
  perl
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/cudf.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/cudf
 Homepage: http://www.mancoosi.org/cudf/
@@ -105,4 +103,3 @@
  related documents. In particular it contains cudf-check, which
  enables checking of document properties such as installation
  consistency and matching of problems with their solutions.
-
