=== c-lib/Makefile ===
--- 
+++ 
@@ -26,13 +26,15 @@
 	cp $(OCAML_LIBDIR)/libasmrun.a $@
 	ar r $@ $^
 
-../_build/%:
-	cd .. && ocamlbuild $*
+cudf_c.cmo: cudf_c.ml
+	$(OCAMLC) -linkpkg -I ../_build/install/default/lib/cudf/ ../_build/install/default/lib/cudf/cudf.cma $^
+cudf_c.cmx: cudf_c.ml
+	$(OCAMLOPT) -linkpkg -I ../_build/install/default/lib/cudf/ ../_build/install/default/lib/cudf/cudf.cmxa $^
 
-cudf-caml.o: ../_build/cudf.cma ../_build/cudf_c.cmo
-	$(OCAMLC) -linkpkg -output-obj -o $@ $^
-cudf-caml-opt.o: ../_build/cudf.cmxa ../_build/cudf_c.cmx
-	$(OCAMLOPT) -linkpkg -output-obj -o $@ $^
+cudf-caml.o: cudf_c.cmo
+	$(OCAMLC) -linkpkg -output-obj -o $@ ../_build/install/default/lib/cudf/cudf.cma $^
+cudf-caml-opt.o: cudf_c.cmx
+	$(OCAMLOPT) -linkpkg -output-obj -o $@ ../_build/install/default/lib/cudf/cudf.cmxa $^
 
 cudf.o: cudf.c cudf.h cudf-variants.h
 
@@ -45,8 +47,8 @@
 	$(CC) $(PROG_CFLAGS) -o $@ $(INCLUDES) $(CUDF_LDFLAGS) $< \
 		$(subst -lcudf,-lcudf-opt,$(CUDF_CLIBS))
 
-test: ../tests/legacy.cudf ../tests/legacy-sol.cudf c-test
-	./c-test ../tests/legacy.cudf ../tests/legacy-sol.cudf > /dev/null
+test: ../tests/data/legacy.cudf ../tests/data/legacy-sol.cudf c-test
+	./c-test ../tests/data/legacy.cudf ../tests/data/legacy-sol.cudf > /dev/null
 
 cudf.pc: cudf.pc.in
 	cat $< | sed -e "s,@OCAMLLIBDIR@,$(OCAMLLIBDIR),g" \
