=== debian/changelog ===
cudf (0.10-2) unstable; urgency=medium

  * Team upload
  * Fix bogus dependencies in libcudf-dev (Closes: #1041758)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 21:14:07 +0200

cudf (0.10-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-ocaml.
  * Remove constraints unnecessary since buster (oldstable):
    + libcudf-dev: Replace dependency on transitional package libncurses5-dev
      with replacement libtinfo6 (= 6.1+20181013-2+deb10u2), libncurses-dev (=
      6.1+20181013-2+deb10u2) in Depends.
  * Use secure URI in Homepage field.
  * Remove field Section on binary package cudf-tools that duplicates source.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2023 10:15:11 +0200
