=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper-compat (=13),
- dh-ocaml (>= 0.9),
- ocaml-nox,
+ debhelper-compat (= 13),
+ dh-ocaml (>= 1.2),
+ ocaml,
  ocaml-findlib,
+ ocaml-dune,
  ocamlbuild,
  libextlib-ocaml-dev,
  libounit-ocaml-dev,
  libglib2.0-dev,
  perl
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/cudf.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/cudf
-Homepage: http://www.mancoosi.org/cudf/
+Homepage: https://www.mancoosi.org/cudf/
 
 Package: libcudf-ocaml-dev
 Architecture: any
@@ -54,7 +55,7 @@
 Depends:
  libc6-dev,
  libglib2.0-dev,
- libncurses5-dev,
+ libncurses-dev,
  ${shlibs:Depends},
  ${misc:Depends}
 Description: C library to access descriptions of package upgrade problems
@@ -80,7 +81,6 @@
 
 Package: cudf-tools
 Architecture: any
-Section: devel
 Depends:
  ocaml-base-nox,
  ${shlibs:Depends},
