=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk
DESTDIR := $(CURDIR)/debian/tmp
export DESTDIR

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc/cudf-check.1 c-lib
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) c-lib-opt
endif

override_dh_auto_install:
	dh_auto_install
	make -C c-lib/ -e install
